CRS not recognized in Dufour 2.0.1 64 bit version
Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:2.0.1 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18005

Description

Hello,

I've installed QGIS Dufour 2.0.1 (in a windows 7 professional at 64 bit) with: "QGIS-OSGeo4W-2.0.1-3-Setup-x86_64.exe" and there are

several CRS that are not recognized (e.g. EPSG:3763). I've checked the files in "C:\\Program Files\\QGIS Dufour\\share\\epsg_csv" and

they exist and seam to be correct (at least not very different than the old ones). Could you please solve this? Thank you.

Related issues:

Related to QGIS Application - Bug report # 10001: Window 7 menu shortcuts broken Closed 2014-04-05

Duplicated by QGIS Application - Bug report # 10131: Incomplete srs.db in qgi... Closed 2014-04-29

History

#1 - 2014-01-22 10:56 AM - Giovanni Manghi

- Target version changed from Version 2.0.0 to Future Release - High Priority

- Status changed from Open to Feedback

- Priority changed from Severe/Regression to Normal

Hi Marisa,

I'm using the very same version of qgis, on the same platform as well as the qgis development version on both Linux and Windows, and I don't see any

particular issue with the CRS from Portugal (I work each day with the 3763, 20790, etc. coordinate systems).

Please attach here a sample of your data that is causing this issue to you.

Cumprimentos

#2 - 2014-01-22 11:13 AM - Rhenriques Henriques

Hi Marisa

As Giovanni, I'm not having any issues with any portuguese CRS with the same version under Windows or MacOSX. Is there any possibility that you have

missed the "proj" libraries?

Abraço

#3 - 2014-01-23 03:23 AM - Marisa Silva

- File coordSelector.PNG added

- File GRASS_error.png added
Hello,

thanks for the answer. In attach there's an image of the coordinate selector (coordSelector.png) where you can see that there's no ETRS89 / Portugal

TM06 available. If I use the Filter it doesn't appear either. If I open a shapefile in ETRS89 he creates a new "User Defined Coordinate Systems". As I've

mentioned before the system 3763 exist in the files in C:\\Program Files\\QGIS Dufour\\share\\epsg_csv.

Also when we open QGIS there's an error regarding GRASS (GRASS_error.png), it seams to be missing the path, we've tried to give it but we couldn't...

Muito obrigada.

Abraço.

#4 - 2014-01-23 05:11 AM - Andre Joost

Have a look at your installation logs.

Might be that the installation was broken before the CRS synchronization at the very end of the process.

#5 - 2014-01-23 05:19 AM - Marisa Silva

Sorry, where can I view that information?

I've already performed uninstall and install again, also installed in another machine (with the same characteristics) the problems is the same.

#6 - 2014-01-23 05:22 AM - Giovanni Manghi

Marisa Silva wrote:

Sorry, where can I view that information?

I've already performed uninstall and install again, also installed in another machine (with the same characteristics) the problems is the same.

but anyway seems really a local installation issue. Do you have any permission policy in your machine? do you launch the installer as administrator?

#7 - 2014-01-23 05:25 AM - Marisa Silva

Yes we have a policy. The 1st machine we did with power user privileges the 2nd we did it in administrator account and the problem persists.

#8 - 2014-01-24 02:23 AM - Giovanni Manghi

Marisa Silva wrote:

Yes we have a policy. The 1st machine we did with power user privileges the 2nd we did it in administrator account and the problem persists.

it still seems a local issue. I have just finished a 3 days training course and have installed qgis 2 on 20+ Windows 7/8 machines with permissions policies

and had no issues at all.

If you want you can contact me at giovanni DOT manghi AT faunalia DOT pt (mobile number is on our site) we can try to sort the issue by mail/phone.
#9 - 2014-01-24 04:47 AM - Marisa Silva

- % Done changed from 0 to 10

Hello,

today we've tried to install the QGIS in a different directory. We used "c:\\prog_pessoal\\..." and we have success! So Dufour 2.0.1 doesn't like our

"c:\\Program File\\" directory, even when we are the administrator.

All the error and missing installation paths are gone! Thank you!

#10 - 2014-01-24 04:50 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

today we've tried to install the QGIS in a different directory. We used "c:\\prog_pessoal\\..." and we have success! So Dufour 2.0.1 doesn't like our

"c:\\Program File\\" directory,

he likes it :) but if the trick solved the issue for you then case closed(?)

cheers!

#11 - 2014-04-13 04:47 AM - Andre Joost

- Status changed from Closed to Reopened

The problem still exists. See http://gis.stackexchange.com/questions/92908/problem-installing-qgis-valmeira-on-windows-7-professional-64-bit

The postinstall.log file for the 64-bit install shows the following, starting at line 93:

'"C:\\PROGRA~1\\QGIS"' is not recognized as an internal or external command, operable program or batch file. 

 OSGEO4W home is C:\\PROGRA~1\\QGIS Valmiera

 Synchronizing CRS database with GDAL/PROJ definitions.

 Load srs db from: C:/PROGRA~1/QGIS Valmiera/apps/qgis/./resources/srs.db

 QFSFileEngine::open: No file name specified 

 QFSFileEngine::open: No file name specified

 QFSFileEngine::open: No file name specified

 QFSFileEngine::open: No file name specified

 QFSFileEngine::open: No file name specified

 Loading epsg.wkt 0 WKTs loaded

 CRS update (inserted:0 updated:0 deleted:3631 errors:0)

 No CRS updates were necessary.

It seems that the OSGEO4W home variable contains a blank, which breaks only the CRS synchronization.

Affected is only standalone of the 64 bit version. For the 32 bit version, the variable is set correctly. The OSGEO4W setup does not have this problem, as it

does not use the standard Windows programme folders.

#12 - 2014-04-13 06:45 AM - Jürgen Fischer
Andre Joost wrote:

'"C:\\PROGRA~1\\QGIS"' is not recognized as an internal or external command, operable program or batch file.

Question is why this is the case (same as in #10001).

Here it reads:

C:\\Program Files\\QGIS Valmiera\\postinstall.log

OSGEO4W_ROOT=C:\\PROGRA~1\\QGISVA~1

OSGEO4W_STARTMENU=C:\\ProgramData\\Microsoft\\Windows\\Start Menu\\Programs\\QGIS Valmiera

OSGEO4W_ROOT_MSYS=/C/PROGRA~1/QGISVA~1

...

C:\\PROGRA~1\\QGISVA~1>call "C:\\PROGRA~1\\QGISVA~1"\\bin\\o4w_env.bat

OSGEO4W home is C:\\PROGRA~1\\QGISVA~1

Synchronizing CRS database with GDAL/PROJ definitions.

0: src=SOURCE_CRS_CODE dst=source_crs_code idx=2

1: src=TARGET_CRS_CODE dst=target_crs_code idx=3

2: src=REMARKS dst=remarks idx=4

3: src=COORD_OP_SCOPE dst=scope idx=5

4: src=AREA_OF_USE_CODE dst=area_of_use_code idx=6

5: src=DEPRECATED dst=deprecated idx=12

6: src=COORD_OP_METHOD_CODE dst=coord_op_method_code idx=13

7: src=DX dst=p1 idx=14

8: src=DY dst=p2 idx=15

9: src=DZ dst=p3 idx=16

10: src=RX dst=p4 idx=17

11: src=RY dst=p5 idx=18

12: src=RZ dst=p6 idx=19

13: src=DS dst=p7 idx=20

14: src=PREFERRED dst=preferred idx=21

15: src=COORD_OP_CODE dst=coord_op_code idx=1

Only 0 columns

Load srs db from: C:/PROGRA~1/QGISVA~1/apps/qgis/./resources/srs.db

Loaded 465/466 from C:\\PROGRA~1\\QGISVA~1\\share\\gdal\\gcs.csv

Loaded 3790/3831 from C:\\PROGRA~1\\QGISVA~1\\share\\gdal\\pcs.csv

Loaded 147/148 from C:\\PROGRA~1\\QGISVA~1\\share\\gdal\\vertcs.csv

Loaded 61/62 from C:\\PROGRA~1\\QGISVA~1\\share\\gdal\\compdcs.csv

Loaded 129/130 from C:\\PROGRA~1\\QGISVA~1\\share\\gdal\\geoccs.csv

Loading epsg.wkt

Loading esri_extra.wkt

5044 WKTs loaded

CRS update (inserted:128 updated:147 deleted:1 errors:0)

275 CRSs updated.

I wonder if changing the quoting from

call "%OSGEO4W_ROOT%"\\bin\\o4w_env.bat

path %PATH%;%OSGEO4W_ROOT%\\apps\\qgis\\bin
set QGIS_PREFIX_PATH=%OSGEO4W_ROOT:\\=/%/apps/qgis

"%OSGEO4W_ROOT%"\\apps\\qgis\\crssync

to

call "%OSGEO4W_ROOT%\\bin\\o4w_env.bat" 

path %PATH%;%OSGEO4W_ROOT%\\apps\\qgis\\bin

set QGIS_PREFIX_PATH=%OSGEO4W_ROOT:\\=/%/apps/qgis

"%OSGEO4W_ROOT%\\apps\\qgis\\crssync" 

would help - as apparently it doesn't seem to matter here.

#13 - 2014-04-13 06:46 AM - Jürgen Fischer

- Status changed from Reopened to Feedback

#14 - 2014-06-20 10:01 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution changed from invalid to fixed/implemented

Files

coordSelector.PNG 102 KB 2014-01-23 Marisa Silva

GRASS_error.png 123 KB 2014-01-23 Marisa Silva
